org.apache.felix.bundlerepository

## Interface LocalResource

All Superinterfaces:
  org.osgi.framework.BundleReference, Resource

All Known Implementing Classes:
  LazyLocalResourceImpl, LocalResourceImpl

    public interface LocalResource
    extends org.osgi.framework.BundleReference, Resource

### Field Summary

### Fields inherited from interface org.apache.felix.bundlerepository.Resource

`CATEGORY, COPYRIGHT, DESCRIPTION, DOCUMENTATION_URI, ID, JAVADOC_URI, LICENSE_URI, MANIFEST_VERSION, PRESENTATION_NAME, SIZE, SOURCE_URI, SYMBOLIC_NAME, URI, VERSION`

### Method Summary

### Methods inherited from interface org.osgi.framework.BundleReference

`getBundle`

### Methods inherited from interface org.apache.felix.bundlerepository.Resource

`getCapabilities, getCategories, getId, getPresentationName, getProperties, getRequirements, getSize, getSymbolicName, getURI, getVersion, isLocal`